# -*- coding: utf-8 -*-

import json

from django.core.urlresolvers import reverse

from .common import CommonTest


class DependanceTest(CommonTest):
    """
    Test l'API qui fournit les dépendances du projet.
    """

    def test_page(self):
        url = reverse('pong_dependances')
        response = self.client.get(url)
        self.assertEqual(response.status_code, 200)

    def test_structure(self):
        url = reverse('pong_dependances')
        response = self.client.get(url)
        resultset = json.loads(response.content)
        for pkg in resultset:
            self.assertTrue('nom' in pkg.keys())
            self.assertNotEqual(pkg['nom'], '')
            self.assertTrue('version' in pkg.keys())
            self.assertNotEqual(pkg['version'], '')
            self.assertTrue('version_python' in pkg.keys())
            self.assertNotEqual(pkg['version_python'], '')
            self.assertTrue('location' in pkg.keys())
            self.assertNotEqual(pkg['location'], '')
